/***********************************************************************
 * Copyright (c) 2007 Anyware Technologies
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *    Anyware Technologies - initial API and implementation
 **********************************************************************/
package de.urszeidler.eclipse.callchain.diagram.edit.commands;

import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.runtime.IAdaptable;
import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.emf.transaction.TransactionalEditingDomain;
import org.eclipse.gmf.runtime.common.core.command.CommandResult;
import org.eclipse.gmf.runtime.emf.commands.core.command.AbstractTransactionalCommand;
import org.eclipse.gmf.runtime.notation.Diagram;

import de.urszeidler.eclipse.callchain.diagram.part.Messages;

/**
 * 
 * TODO Describe the class here <br>
 * creation : 3 janv. 2008
 * 
 * @author <a href="mailto:gilles.cannenterre@anyware-tech.com">Gilles
 *         Cannenterre</a>
 */
public class InitializeAndLayoutDiagramCommand extends AbstractTransactionalCommand {

	private Diagram diagram;

	private boolean initEPackageContent;

	public InitializeAndLayoutDiagramCommand(TransactionalEditingDomain domain, Diagram diagram, boolean initEPackageContent) {
		super(domain, Messages.CallchainCreationWizard_DiagramModelFilePageDescription, null);
		this.diagram = diagram;
		this.initEPackageContent = initEPackageContent;
	}

	@Override
	protected CommandResult doExecuteWithResult(IProgressMonitor monitor, IAdaptable info) throws ExecutionException {
		if (diagram == null) {
			return CommandResult.newWarningCommandResult("Unable to proceed with null diagam", null);
		}
		// Initialize diagram content
//		EcoreDiagramContentInitializer initializer = new EcoreDiagramContentInitializer();
//		initializer.setInitEPackageContent(initEPackageContent);
//		initializer.initDiagramContent(diagram);
//
//		// Layout diagram content if necessary
//		if (false == diagram.getChildren().isEmpty()) {
//			List<Node> nodes = new ArrayList<Node>();
//			for (Object view : diagram.getChildren()) {
//				if (view instanceof Node) {
//					nodes.add((Node) view);
//				}
//			}
//			LayoutService.getInstance().layoutNodes(nodes, true, LayoutType.DEFAULT);
//		}

		return CommandResult.newOKCommandResult();
	}

}
