package de.urszeidler.eclipse.callchain.gmfgenerators;

import org.eclipse.core.runtime.CoreException;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

import de.urszeidler.eclipse.callchain.generatorservice.executables.AbstractExecuteable;

public abstract class AbstractGMFGenerator extends AbstractExecuteable {

	protected static final String GENMODELURI = "http://www.eclipse.org/gmf/2006/GenModel";
	protected static final String MAPPINGMODELURI = "http://www.eclipse.org/gmf/2006/mappings";
	protected static final String GENMODELURI2008 = "http://www.eclipse.org/gmf/2008/GenModel";
	protected static final String MAPPINGMODELURI2008 = "http://www.eclipse.org/gmf/2008/mappings";

	public AbstractGMFGenerator() {
		super();
	}

	public static CoreException createCoreException(Throwable e) {
		return new CoreException(new Status(IStatus.ERROR,
				"", e.getLocalizedMessage(),
				e));
	}

}